<?php
require("db.php");
require("helpers.php");

Connect();
$mes_correct = 0;
$admin = 0;
$debug = 0;

if (isset($_COOKIE["UserCookie"]) && isset($_COOKIE["PassCookie"])) {
	if ($_COOKIE["UserCookie"] == $AdminAccount &&
		$_COOKIE["PassCookie"] == md5($AdminPassword))
			$admin = 1;
}

$action = "";

if (strlen($_POST["action"]))
	$action = $_POST["action"];
else if (strlen($_GET["action"]))
	$action = $_GET["action"];

if (strlen($action) != 0) {
	if ($action == "submitlogin") {
		if (strlen($_POST["c_username"]) &&
			strlen($_POST["c_password"]) &&
			$_POST["c_username"] == $AdminAccount &&
			$_POST["c_password"] == $AdminPassword) {
			setcookie("UserCookie",$_POST["c_username"]);
			setcookie("PassCookie",md5($_POST["c_password"]));
			$admin = 1;
		}
	}
	if ($action == "submitlogoff") {
		setcookie("UserCookie","");
		setcookie("PassCookie","");
		$admin = 0;
	}
}

echo "<HTML>\n";
echo "<HEAD>\n";
echo "<META NAME=\"description\" CONTENT=\"$HTMLDescription\">\n";
echo "<META NAME=\"keywords\" CONTENT=\"$HTMLKeywords\">\n";
echo "<TITLE>$HTMLTitle</TITLE>\n";
echo "<LINK REL=\"stylesheet\" HREF=\"$HTMLStyleSheet\" TYPE=\"text/css\">\n";
echo "</HEAD>\n";
echo "<BODY>\n";

if (strlen($action) != 0 && $admin == 1) {
	if ($action == "submitaddcategory") {
		$c_name = get_query_post_var("c_name");
		$c_parent = get_query_post_var("c_parent");

		if (!strlen($c_name) || !strlen($c_parent)) {
			echo "Failure: All values should be entered.\n";
		} else {
			$result = Query($DBDatabase,
				"INSERT INTO categories (name, parent) ".
				"VALUES ('$c_name', '$c_parent')");

			if ($result) {
				if ($mes_correct)
					echo "Category is added.\n";
			} else {
				echo "Failure: addcategory.\n";
			}
		}
	}

	if ($action == "submiteditcategory") {
		$c_id = get_query_post_var("c_id");
		$c_name = get_query_post_var("c_name");
		$c_parent = get_query_post_var("c_parent");

		if (!strlen($c_id) || !strlen($c_name) ||
			!strlen($c_parent)) {
			echo "Failure: All values should be entered.\n";
		} else if ($c_id == $c_parent) {
			echo "Failure: Cannot become own parent.\n";
		} else {
			$result = Query($DBDatabase,
				"UPDATE categories SET name='$c_name',".
				"parent='$c_parent' WHERE id='$c_id'");

			if ($result) {
				if ($mes_correct)
					echo "Category is edited.\n";
			} else {
				echo "Failure: editcategory.\n";
			}
		}
	}

	if ($action == "submitdelcategory") {
		$c_id = get_query_post_var("c_id");
		$c_parent = get_query_post_var("c_parent");

		if (!strlen($c_id) || !strlen($c_parent)) {
			echo "Failure: Not all values are given.\n";
		} else {
			$result = Query($DBDatabase,
				"DELETE FROM links WHERE category='$c_id'");

			if ($result) {
				if ($mes_correct)
					echo "Links in category are deleted.\n";
			} else {
				echo "Failure: delcategory.\n";
			}

			$result = Query($DBDatabase,
				"DELETE FROM categories WHERE id='$c_id'");

			if ($result) {
				if ($mes_correct)
					echo "Category is deleted.\n";
			} else {
				echo "Failure: delcategory.\n";
			}

			$result = Query($DBDatabase,
				"UPDATE categories SET parent='$c_parent' ".
				"WHERE parent='$c_id'");

			if ($result) {
				if ($mes_correct)
					echo "Child categories are updated.\n";
			} else {
				echo "Failure: delcategory.\n";
			}
		}
	}

	if ($action == "submitaddlink") {
		$c_name = get_query_post_var("c_name");
		$c_link = get_query_post_var("c_link");
		$c_category = get_query_post_var("c_category");

		if (!strlen($c_name) || !strlen($c_link) ||
			!strlen($c_category)) {
			echo "Failure: All values should be entered.\n";
		} else {
			$result = Query($DBDatabase,
				"INSERT INTO links (name, link, category) ".
				"VALUES ('$c_name', '$c_link', '$c_category')");

			if ($result) {
				if ($mes_correct)
					echo "Link is added.\n";
			} else {
				echo "Failure: addlink.\n";
			}
		}
	}

	if ($action == "submiteditlink") {
		$c_id = get_query_post_var("c_id");
		$c_name = get_query_post_var("c_name");
		$c_link = get_query_post_var("c_link");
		$c_category = get_query_post_var("c_category");

		if (!strlen($c_id) || !strlen($c_name) || !strlen($c_link) ||
				!strlen($c_category)) {
			echo "Failure: All values should be entered.\n";
		} else {
			$result = Query($DBDatabase,
				"UPDATE links SET name='$c_name', ".
				"link='$c_link', category='$c_category' ".
				"WHERE id='$c_id'");

			if ($result) {
				if ($mes_correct)
					echo "Link is edited.\n";
			} else {
				echo "Failure: editlink.\n";
			}
		}
	}

	if ($action == "submitdellink") {
		$c_id = get_query_post_var("c_id");

		if (!strlen($c_id)) {
			echo "Failure: ID not given.\n";
		} else {
			$result = Query($DBDatabase,
				"DELETE FROM links WHERE id='$c_id'");

			if ($result) {
				if ($mes_correct)
					echo "Link is deleted.\n";
			} else {
				echo "Failure: dellink.\n";
			}
		}
	}
}

$show = "main";

if (strlen($_GET["show"]))
	$show = $_GET["show"];
else if (strlen($_POST["show"]))
	$show = $_POST["show"];

if (!strlen($show) || (!$admin && $show != "login"))
	include ("startpage-main.php");
else 
	include ("startpage-".$show.".php");
  
?>
</BODY>
</HTML>
